from distutils.sysconfig import get_config_var

def do_replace(s, vars):
    for v in vars:
        s = s.replace('@@' + v + '@@', get_config_var(v))
    return s

def main():
    inf = open('Makefile.in')
    s = inf.read()
    inf.close()

    s = do_replace(s, [
        'OPT',
        'BASECFLAGS',
        'INCLUDEPY',
        'LIBPL',
        'LDFLAGS',
        'LINKFORSHARED',
        'LIBS',
        'SYSLIBS',
        'VERSION',
        ])
    
    outf = open('Makefile', 'w')
    outf.write(s)
    outf.close()

    print "Done."
    
if __name__ == '__main__':
    main()
